<!DOCTYPE html>
<html lang="de">
    <meta http-equiv="content-type" content="text/html;charset=utf-8" />
    <head>
        <title>Whats-Sex-Dating und Treffen per WhatsApp</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">
        <link rel="stylesheet" href="css/custom.css">
        <link rel="stylesheet" href="css/style.css">


        <meta
        name="viewport"
        content="width=device-width, initial-scale=1.0, maximum-scale=1.0,user-scalable=0"
      />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="shortcut icon" href="img/fav.png" type="image/png" />
      <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
      <link
        href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css"
        rel="stylesheet"
        id="bootstrap-css"
      />
      <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
      <link
        href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.0.3/css/font-awesome.css"
        rel="stylesheet"
      />
      <script src="js/base.js"></script>
      <link rel="stylesheet" href="css/style_formular.css" />
    </head>
    <body>
        <section id="firstWindow">
            <div class="wrapper2">
                <header>
                    <img src="img/logo--whatsSex.svg" alt="Logo">
                </header>
                <section class="wrapper2-content">
                    <div class="box js-step js-step1">
                        <div class="box-img">
                            <img src="img/ssid01.jpg" alt="">
                            <span class="sex-app">EXKLUSIVE<br>SEX-APP</span>
                        </div>
                        <header class="box-header">
                            <h2 class="text-transform-none">Hast du jemals eine Sex-App benutzt?</h2>
                        </header>
                        <div class="box-btn">
                            <button class="btnbx btn-yes" data-step="js-step2">JA</button>
                            <button class="btnbx btn-no" data-step="js-step2">NEIN</button>
                        </div>
                    </div>
                    <div class="box js-step js-step2">
                        <div class="box-img">
                            <img src="img/ssid02.jpg" alt="">
                            <span class="sex-app">EXKLUSIVE<br>SEX-APP</span>
                        </div>
                        <header class="box-header">
                            <h2 class="text-transform-none">Hast du jemals ein nacktes Bild von deinen heißen Nachbarn bekommen?</h2>
                        </header>
                        <div class="box-btn">
                            <button class="btnbx btn-yes" data-step="js-step3">JA</button>
                            <button class="btnbx btn-no" data-step="js-step3">NEIN</button>
                        </div>
                    </div>
                    <div class="box js-step js-step3">
                        <div class="box-img">
                            <img src="img/ssid03.jpg" alt="">
                            <span class="sex-app">EXKLUSIVE<br>SEX-APP</span>
                        </div>
                        <header class="box-header">
                            <h2 class="text-transform-none">Möchtest du das ausprobieren?</h2>
                        </header>
                        <div class="box-btn">
                            <button class="btnbx btn-yes" data-step="js-step4">JA</button>
                            <button class="btnbx btn-no" data-step="js-step4">NEIN</button>
                        </div>
                    </div>
                    <div class="box js-step js-step4">
                        <div class="box-img">
                            <img src="img/ssid04.jpg" alt="">
                            <span class="sex-app">EXKLUSIVE<br>SEX-APP</span>
                        </div>
                        <div class="box-content box-progress">
                            <div class="item">
                                <header class="box-header">
                                    <h2 class="text-transform-none">Kompatibilität wird überprüft...</h2>
                                </header>
                            </div>
                            <!-- <div class="progress-bar" style=" float: none; box-shadow: none;"></div> -->
                            <button class="hide" data-step="js-step5">JA</button>
                        </div>
                    </div>
                    <div class="box box-final js-step js-step5">
                        <header class="box-header">
                            <h2 class="text-transform-none">Großartig! Wir denken, du passt perfekt hinein.</h2>
                        </header>
                        <div class="box-content">
                            <p>Sei Bereit Profile aus deiner Umgebung zu sehen.</p>
                            <p>Vergiss nicht, dass es sich um echte Mitglieder handelt, die genau so wie du für dich selber wünschst, mit Repekt behandelt werden wollen.</p>
                            <p>Sei freizügig und habe viel Spaß.</p>
                        </div>
                        <div class="box-btn">
                            <a href="#" onclick="launchext(); return false;" class="btn btn-confirm ">Mach Mit</a>
                        </div>
                    </div>
                </section>
            </div>
        </section>
        <section id="secondWindow" style="display: none;">
            <div class="stepnew">
                <div class="container">
                    <div class="stepwizard mb-4">
                      <div class="stepwizard-row setup-panel ">
                        <div class="stepwizard-step col-xs-4">
                          <a
                            href="#step-1"
                            type="button"
                            class="btn btn-success btn-circle unclickbar"
                            >1</a
                          >
                        </div>
                        <div class="stepwizard-step col-xs-4">
                          <a
                            href="#step-2"
                            type="button"
                            class="btn btn-default btn-circle unclickbar"
                            disabled="disabled"
                            >2</a
                          >
                        </div>
                        <div class="stepwizard-step col-xs-4">
                          <a
                            href="#step-3"
                            type="button"
                            class="btn btn-default btn-circle unclickbar"
                            disabled="disabled"
                            >3</a
                          >
                        </div>
                      </div>
                    </div>
              
                    <form role="form" class="main-form-wrapper">
                      <div class="panel panel-primary setup-content" id="step-1">
                        <div class="panel-body">
                          <div class="form-group">
                            <label class="control-label big">Postleitzahl</label>
                            <div class="input-group data">
                              <div class="">
                                <input
                                  maxlength="200"
                                  type="text"
                                  required="required"
                                  class="form-control api-check api-zip"
                                  data-check="zipcode&land"
                                  placeholder="Deine Postleitzahl"
                                />
                              </div>
                              <div class="input-group-btn">
                                <button
                                  type="button"
                                  class="btn btn-default dropdown-toggle"
                                  style="border-bottom-left-radius: 0; border-top-left-radius: 0;"
                                  data-toggle="dropdown"
                                  aria-haspopup="true"
                                  aria-expanded="false"
                                >
                                  <img class="img-flag" id="current-country" src="de.jpg" />
                                  <input
                                    type="hidden"
                                    class="api-check api-land"
                                    data-check="zipcode&land"
                                    value="DE"
                                  />
                                  <span class="caret"></span>
                                </button>
                                <ul class="dropdown-menu dropdown-menu-right">
                                  <li class="no-border">
                                    <a href="#" onclick="setCountry(1); return false;"
                                      ><img class="img-flag" src="de.jpg" /> Deutschland</a
                                    >
                                  </li>
                                  <li class="no-border">
                                    <a href="#" onclick="setCountry(2); return false;"
                                      ><img class="img-flag" src="at.jpg" /> Österreich</a
                                    >
                                  </li>
                                  <li class="no-border">
                                    <a href="#" onclick="setCountry(3); return false;"
                                      ><img class="img-flag" src="ch.jpg" /> Schweiz</a
                                    >
                                  </li>
                                </ul>
                              </div>
                              <script>
                                function setCountry(country) {
                                  switch (country) {
                                    case 1:
                                      $("#current-country").attr("src", "de.jpg");
                                      $(".api-land").val("DE");
                                      $(".api-land").trigger("change");
                                      break;
                                    case 2:
                                      $("#current-country").attr("src", "at.jpg");
                                      $(".api-land").val("AT");
                                      $(".api-land").trigger("change");
                                      break;
                                    case 3:
                                      $("#current-country").attr("src", "ch.jpg");
                                      $(".api-land").val("CH");
                                      $(".api-land").trigger("change");
                                      break;
                                  }
                                }
                              </script>
                            </div>
                            <div
                              class="label error hidden"
                              id="city-error-label"
                              style="color:red; display:inline-block; font-size:14px; margin-left: -7px;"
                            >
                              Label is empty
                            </div>
                            <!-- /input-group -->
              
                            <span class="error-message"
                              >Land und Postleitzahl ueberpruefen</span
                            >
                          </div>
              
                          <div class="center-parent">
                            <div class="center-container">
                              <i id="mo-spin-icon" class="fas fa-spinner fa-spin"></i>
                            </div>
                          </div>
              
                          <button
                            class="btn btn-custom nextBtn btn-block api-check-btn"
                            type="button"
                          >
                            Weiter
                          </button>
                        </div>
                      </div>
              
                      <div class="panel panel-primary setup-content" id="step-2">
                        <div class="panel-body">
                          <div class="row">
                            <div class="col-sm-12">
                              <div class="row">
                                <div class="col-sm-12">
                                  <label class="control-label big">Geburtsdatum</label>
                                </div>
                                <div class="col-sm-4">
                                  <div class="form-group select">
                                    <select
                                      name="dob_day"
                                      class="form-control"
                                      id="tag"
                                      required="required"
                                    >
                                      <option value="">Tag</option>
                                      <option value="01">1</option>
                                      <option value="02">2</option>
                                      <option value="03">3</option>
                                      <option value="04">4</option>
                                      <option value="05">5</option>
                                      <option value="06">6</option>
                                      <option value="07">7</option>
                                      <option value="08">8</option>
                                      <option value="09">9</option>
                                      <option value="10">10</option>
                                      <option value="11">11</option>
                                      <option value="12">12</option>
                                      <option value="13">13</option>
                                      <option value="14">14</option>
                                      <option value="15">15</option>
                                      <option value="16">16</option>
                                      <option value="17">17</option>
                                      <option value="18">18</option>
                                      <option value="19">19</option>
                                      <option value="20">20</option>
                                      <option value="21">21</option>
                                      <option value="22">22</option>
                                      <option value="23">23</option>
                                      <option value="24">24</option>
                                      <option value="25">25</option>
                                      <option value="26">26</option>
                                      <option value="27">27</option>
                                      <option value="28">28</option>
                                      <option value="29">29</option>
                                      <option value="30">30</option>
                                      <option value="31">31</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-sm-4">
                                  <div class="form-group select">
                                    <select
                                      name="dob_month"
                                      class="form-control"
                                      id="monat"
                                      required="required"
                                    >
                                      <option value="">Monat</option>
                                      <option value="01">Januar</option>
                                      <option value="02">Februar</option>
                                      <option value="03">März</option>
                                      <option value="04">April</option>
                                      <option value="05">Mai</option>
                                      <option value="06">Juni</option>
                                      <option value="07">Juli</option>
                                      <option value="08">August</option>
                                      <option value="09">September</option>
                                      <option value="10">Oktober</option>
                                      <option value="11">November</option>
                                      <option value="12">Dezember</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-sm-4">
                                  <div class="form-group select">
                                    <select
                                      name="dob_year"
                                      class="form-control"
                                      id="jahr"
                                      required="required"
                                    >
                                      <option value="">Jahr</option>
                                      <option value="2002">2002</option>
                                      <option value="2001">2001</option>
                                      <option value="2000">2000</option>
                                      <option value="1999">1999</option>
                                      <option value="1998">1998</option>
                                      <option value="1997">1997</option>
                                      <option value="1996">1996</option>
                                      <option value="1995">1995</option>
                                      <option value="1994">1994</option>
                                      <option value="1993">1993</option>
                                      <option value="1992">1992</option>
                                      <option value="1991">1991</option>
                                      <option value="1990">1990</option>
                                      <option value="1989">1989</option>
                                      <option value="1988">1988</option>
                                      <option value="1987">1987</option>
                                      <option value="1986">1986</option>
                                      <option value="1985">1985</option>
                                      <option value="1984">1984</option>
                                      <option value="1983">1983</option>
                                      <option value="1982">1982</option>
                                      <option value="1981">1981</option>
                                      <option value="1980">1980</option>
                                      <option value="1979">1979</option>
                                      <option value="1978">1978</option>
                                      <option value="1977">1977</option>
                                      <option value="1976">1976</option>
                                      <option value="1975">1975</option>
                                      <option value="1974">1974</option>
                                      <option value="1973">1973</option>
                                      <option value="1972">1972</option>
                                      <option value="1971">1971</option>
                                      <option value="1970">1970</option>
                                      <option value="1969">1969</option>
                                      <option value="1968">1968</option>
                                      <option value="1967">1967</option>
                                      <option value="1966">1966</option>
                                      <option value="1965">1965</option>
                                      <option value="1964">1964</option>
                                      <option value="1963">1963</option>
                                      <option value="1962">1962</option>
                                      <option value="1961">1961</option>
                                      <option value="1960">1960</option>
                                      <option value="1959">1959</option>
                                      <option value="1958">1958</option>
                                      <option value="1957">1957</option>
                                      <option value="1956">1956</option>
                                      <option value="1955">1955</option>
                                      <option value="1954">1954</option>
                                      <option value="1953">1953</option>
                                      <option value="1952">1952</option>
                                      <option value="1951">1951</option>
                                      <option value="1950">1950</option>
                                      <option value="1949">1949</option>
                                      <option value="1948">1948</option>
                                      <option value="1947">1947</option>
                                      <option value="1946">1946</option>
                                      <option value="1945">1945</option>
                                      <option value="1944">1944</option>
                                      <option value="1943">1943</option>
                                      <option value="1942">1942</option>
                                      <option value="1941">1941</option>
                                      <option value="1940">1940</option>
                                      <option value="1939">1939</option>
                                      <option value="1938">1938</option>
                                      <option value="1937">1937</option>
                                      <option value="1936">1936</option>
                                      <option value="1935">1935</option>
                                      <option value="1934">1934</option>
                                      <option value="1933">1933</option>
                                      <option value="1932">1932</option>
                                      <option value="1931">1931</option>
                                      <option value="1930">1930</option>
                                      <option value="1929">1929</option>
                                      <option value="1928">1928</option>
                                      <option value="1927">1927</option>
                                      <option value="1926">1926</option>
                                      <option value="1925">1925</option>
                                      <option value="1924">1924</option>
                                      <option value="1923">1923</option>
                                      <option value="1922">1922</option>
                                      <option value="1921">1921</option>
                                      <option value="1920">1920</option>
                                    </select>
                                    <span class="error-message">Geburtstag eingeben</span>
                                  </div>
                                </div>
                              </div>
                              <input
                                type="hidden"
                                id="geburtstag_field"
                                class="api-check api-dob"
                                data-check="birth"
                                value="01.01.1970"
                              />
                            </div>
              
                            <script>
                              $("#jahr").on("change", function() {
                                var dob = $(geburtstag_field).val();
                                var dobSplit = dob.split(".");
                                $(geburtstag_field).val(
                                  dobSplit[0] + "." + dobSplit[1] + "." + $(this).val()
                                );
                              });
                              $("#monat").on("change", function() {
                                var dob = $(geburtstag_field).val();
                                var dobSplit = dob.split(".");
                                $(geburtstag_field).val(
                                  dobSplit[0] + "." + $(this).val() + "." + dobSplit[2]
                                );
                              });
                              $("#tag").on("change", function() {
                                var dob = $(geburtstag_field).val();
                                var dobSplit = dob.split(".");
                                $(geburtstag_field).val(
                                  $(this).val() + "." + dobSplit[1] + "." + dobSplit[2]
                                );
                              });
                            </script>
                          </div>
                          <div class="center-parent">
                            <div class="center-container">
                              <i id="mo-spin-icon" class="fas fa-spinner fa-spin"></i>
                            </div>
                          </div>
                          <div class="back">
                            <button class="btn btn-custom backBtn inner" type="button">
                              Zurück
                            </button>
                            <button
                              class="btn btn-custom nextBtn btn-block api-check-btn inner"
                              type="button"
                            >
                              Weiter
                            </button>
                          </div>
                        </div>
                      </div>
              
                      <div class="panel panel-primary setup-content" id="step-3">
                        <div class="panel-body">
                          <div class="row">
                            <div class="col-md-6">
                              <div class="form-group">
                                <label class="control-label">E-Mail</label>
                                <input
                                  maxlength="200"
                                  type="text"
                                  required="required"
                                  class="form-control api-check api-email"
                                  data-check="email"
                                  placeholder="Ihre E-Mail"
                                />
                                <span class="error-message"
                                  >Geben Sie eine richtige E-Mail an.</span
                                >
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="form-group">
                                <label class="control-label">Benutzername</label>
                                <input
                                  maxlength="200"
                                  type="text"
                                  required="required"
                                  class="form-control api-check api-username"
                                  data-check="username"
                                  placeholder="Ihr Benutzername"
                                />
                                <span class="error-message"
                                  >Geben Sie einen Benutzernamen an.</span
                                >
                              </div>
                            </div>
                            <div class="col-md-12">
                              <div class="form-group">
                                <label class="control-label">Passwort</label>
                                <input
                                  type="password"
                                  required="required"
                                  class="form-control api-check api-passwort"
                                  data-check="password"
                                  placeholder="Ihr Passwort"
                                />
                                <span class="error-message"
                                  >Geben Sie ein sicheres Passwort ein.</span
                                >
                              </div>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col-md-6">
                              <span class="submit-error">Fehler:</span>
                            </div>
                          </div>
                          <div class="center-parent">
                            <div class="center-container">
                              <i id="mo-spin-icon" class="fas fa-spinner fa-spin"></i>
                            </div>
                          </div>
                          <div class="back">
                            <button class="btn btn-custom backBtn inner" type="button">
                              Zurück
                            </button>
                            <button
                              class="btn btn-custom btn-block api-check-finish-btn inner"
                              type="button"
                            >
                              Weiter
                            </button>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                <!-- /step-background -->
            </div>
        </section>
        <script src="js/jquery.min.js"></script>
        
        </script>
        <script>
        var count = 1;
        var showImage;
        var imagesAmount = $(".slidem").length,
        cid = "",
        aid = 0,
        pid = 0;

        var getUrlParameter = function getUrlParameter(sParam) {
        var sPageURL = window.location.search.substring(1),
        sURLVariables = sPageURL.split('&'),
        sParameterName,
        i;

        for (i = 0; i < sURLVariables.length; i++) { sParameterName=sURLVariables[i].split('=');

                if (sParameterName[0] === sParam) {
                    return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
                }
            }
        };

        if (typeof getUrlParameter('cid') !="undefined" ) {
            cid=getUrlParameter('cid'); 
        }
        if (typeof getUrlParameter('aid') !="undefined" ) {
            aid=getUrlParameter('aid'); 
        }
        if (typeof getUrlParameter('pid') !="undefined" ) {
            pid=getUrlParameter('pid');
        } 
            
        console.log(cid,aid,pid);

        function startSlider() {
        // Grabbing first slide
        var firstSlide = $(".slidem:first-of-type");
        // Cloning first slide and appending to slider div as a placeholder
        firstSlide.clone().appendTo(".sliderm").removeClass("slidem").addClass("placeholder");
        firstSlide.addClass("active");
        showImage = setInterval(nextImage, 3000);
        };
        startSlider();
        function nextImage() {
        count++;
        var currentSlide = $(".slidem:nth-child(" + (count - 1) + ")");
        var nextSlide = $(".slidem:nth-child(" + count + ")");
        nextSlide.addClass("active");
        currentSlide.removeClass("active");
        if (count === 1) {
        $(".slidem:last-of-type").removeClass("active");
        }
        if (count === imagesAmount) {
        count = 0;
        }
        };
        </script>
        <script>
        function term_pop(a, sizes) {
        if (!sizes) sizes = 'width=750, height=600,scrollbars=1';
        w = window.open(a, 'TERMS', sizes);
        }
        $(document).ready(function () {
        // Initializing question number
        var question = 1;
        // Form fields
        var login = $('[name=login]'),
        pass = $('[name=pass]');
        var loginLength = 4;
        var passLength = 6;
        // Profile progress completed bar
        var profileProgress = $(".profile-completed");
        var stage2Started = false;
        $('.next').click(function (e) {
        e.preventDefault();
        validateStep_and_Continue();
        if (stepMonitor >= 20) {
        data11.attr('class', data11.attr('class').replace(/ds8sm[0-9]+/, ''));
        data11.addClass('ds8sm' + stepMonitor);
        }
        window.scrollTo(0, 0);
        });
        $(".yes, .no").click(function (e) {
        e.preventDefault();
        nextQuestion();
        window.scrollTo(0, 0);
        });
        // Event listeners for form errors
        // Profile Headline character counter
        $("p.pr_Headline_p").prepend($(".headline-count"));
        var profileHeadline = $("[name='pr_header']");
        var headlineCounter = $(".headline-count .counter");
        profileHeadline.keyup(function () {
        headlineCounter.html(profileHeadline.val().length);
        if (profileHeadline.val().length >= 10) {
        profileHeadline.removeClass("err");
        }
        });
        // About character counter
        $("p.about_p .small_one").append($(".about-count"));
        var aboutText = $("[name='general_info']");
        var aboutCounter = $(".about-count .counter");
        aboutText.keyup(function () {
        aboutCounter.html(aboutText.val().length);
        if (aboutText.val().length >= 25) {
        aboutText.removeClass("err");
        }
        });
        // Address
        var city = $('[name=city]'),
        state = $('[name=state]'),
        zip = $('[name=zip]');
        var cityMin = 3,
        stateMin = 2,
        zipMin = 3;
        // When in city input, make value attribute equal to .val of field
        city.keyup(function () {
        var newVal = city.val();
        city.attr("value", newVal);
        if ($('[name=F] .err').length && city.val().length >= cityMin) {
        $(this).removeClass("err");
        $(".city-error").removeClass("active");
        }
        if ($('[name=F] .err').length <= 0) {
        $(".stepM31.error").removeClass("active");
        }
        });
        // When in state input, make value attribute equal to .val of field
        state.keyup(function () {
        var newVal = state.val();
        state.attr("value", newVal);
        if ($('[name=F] .err').length && state.val().length === stateMin) {
        $(this).removeClass("err");
        $(".state-error").removeClass("active");
        }
        if ($('[name=F] .err').length <= 0) {
        $(".stepM31.error").removeClass("active");
        }
        });
        // When in zip input, make value attribute equal to .val of field
        zip.keyup(function () {
        var newVal = zip.val();
        zip.attr("value", newVal);
        if ($('[name=F] .err').length && zip.val().length >= zipMin) {
        $(this).removeClass("err");
        $(".zip-error").removeClass("active");
        }
        if ($('[name=F] .err').length <= 0) {
        $(".stepM31.error").removeClass("active");
        }
        });
        // Marital, Body Type, Race
        $("[name='marital_status'], [name='body_type'], [name='race']").change(function () {
        $(this).removeClass("err");
        });
        // Slider
        var count = 1;
        var showImage;
        var imagesAmount = $(".slide").length;
        function startSlider() {
        // Grabbing first slide
        var firstSlide = $(".slide:first-of-type");
        // Cloning first slide and appending to slider div as a placeholder
        firstSlide.clone().appendTo(".slider").removeClass("slide").addClass("placeholder");
        firstSlide.addClass("active");
        showImage = setInterval(nextImage, 3000);
        };
        startSlider();
        function nextImage() {
        count++;
        var currentSlide = $(".slide:nth-child(" + (count - 1) + ")");
        var nextSlide = $(".slide:nth-child(" + count + ")");
        nextSlide.addClass("active");
        currentSlide.removeClass("active");
        if (count === 1) {
        $(".slide:last-of-type").removeClass("active");
        }
        if (count === imagesAmount) {
        count = 0;
        }
        };
        // Body type - limit to 3
        var bodyType = $(".body-type .checklist-item");
        bodyType.click(function (e) {
        var active = $(".body-type .checklist-item.active").length;
        // If there is less than 3 active items
        if (active < 3) {
        // Toggle the class "active"
        $(this).toggleClass("active");
        }
        // If there is 3 or more
        else if (active >= 3) {
        // If this has a class of active
        if ($(this).hasClass("active")) {
        // Toggle the class
        $(this).toggleClass("active");
        // Remove err class on the P
        $("[data-step='7'] p.choose").removeClass("err");
        } else {
        // Else add err class to the P
        $("[data-step='7'] p.choose").removeClass("err");
        setTimeout(function () {
        $("[data-step='7'] p.choose").addClass("err");
        }, 100);
        }
        }
        });
        // Age Preference - limit to 3
        var agePreference = $(".age-preference .checklist-item");
        agePreference.click(function (e) {
        var active = $(".age-preference .checklist-item.active").length;
        // If there is less than 3 active items
        if (active < 3) {
        // Toggle the class "active"
        $(this).toggleClass("active");
        }
        // If there is 3 or more
        else if (active >= 3) {
        // If this has a class of active
        if ($(this).hasClass("active")) {
        // Toggle the class
        $(this).toggleClass("active");
        // Remove err class on the P
        $("[data-step='8'] p.choose").removeClass("err");
        } else {
        // Else add err class to the P
        $("[data-step='8'] p.choose").removeClass("err");
        setTimeout(function () {
        $("[data-step='8'] p.choose").addClass("err");
        }, 100);
        }
        }
        });
        // Type of Relationship - limit to 3
        var relationshipType = $(".relationship-type .checklist-item");
        relationshipType.click(function (e) {
        var active = $(".relationship-type .checklist-item.active").length;
        // If there is less than 3 active items
        if (active < 3) {
        // Toggle the class "active"
        $(this).toggleClass("active");
        }
        // If there is 3 or more
        else if (active >= 3) {
        // If this has a class of active
        if ($(this).hasClass("active")) {
        // Toggle the class
        $(this).toggleClass("active");
        // Remove err class on the P
        $("[data-step='9'] p.choose").removeClass("err");
        } else {
        // Else add err class to the P
        $("[data-step='9'] p.choose").removeClass("err");
        setTimeout(function () {
        $("[data-step='9'] p.choose").addClass("err");
        }, 100);
        }
        }
        });
        // Only 1 answer
        $(".one-answer .item").click(function (e) {
        $(this).siblings(".item").removeClass("active");
        $(this).addClass("active");
        });
        // Question items click buttons
        $(".question-item").click(function (e) {
        console.log("click");
        $(this).toggleClass("active");
        });
        var data11 = $('[data-step=11]');
        // Go to stage 2
        $("body").addClass("home");
        // Initializing step number
        var stepMonitor = 1;
        function validateStep_and_Continue() {
        //console.log("Step: " + stepMonitor );
        var currentStep = $("[data-step=" + (stepMonitor - 1) + "]");
        var nextStep = $("[data-step=" + stepMonitor + "]");
        // Removes all errors in form
        $('[name=F] .err').removeClass('err');
        // Hides all form elements
        $('[name=F] > p, [name=F] > div, .stage1').hide();
        if (stepMonitor === 1) {
        var currentStep = $("[data-step=" + stepMonitor + "]");
        currentStep.addClass("show");
        buttonShow();
        } else if (stepMonitor === 2) {
        var currentStep = $("[data-step=" + (stepMonitor - 1) + "]");
        var nextStep = $("[data-step=" + stepMonitor + "]");
        currentStep.addClass("hide");
        nextStep.addClass("show");
        buttonShow();
        } else if (stepMonitor === 3) {
        currentStep.addClass("hide");
        nextStep.addClass("show");
        buttonShow();
        nextQuestion();
        } else if (stepMonitor === 4) {
        nextQuestion();
        } else if (stepMonitor === 5) {
        nextQuestion();
        } else if (stepMonitor === 6) {
        nextQuestion();
        } else if (stepMonitor === 7) {
        $("[data-step='3']").addClass("hide");
        nextStep.addClass("show");
        buttonShow();
        } else if (stepMonitor === 8) {
        currentStep.addClass("hide");
        nextStep.addClass("show");
        buttonShow();
        } else if (stepMonitor === 9) {
        currentStep.addClass("hide");
        nextStep.addClass("show");
        buttonShow();
        } else if (stepMonitor === 10) {
        currentStep.addClass("hide");
        nextStep.addClass("show");
        setTimeout(function () {
        $(".saving").hide();
        $("h1.thank-you, .loaded").addClass("done");
        buttonShow();
        }, 2000);
        }
        stepMonitor++;
        };
        validateStep_and_Continue();
        $("body").addClass("first");
        // Function for Questions
        function nextQuestion() {
        // Putting the number of questions in a variable
        var allQuestions = $(".questions-content").length;
        // Putting current and next questions in variables
        var currentQuestion = $("[data-question=" + (question - 1) + "]");
        var nextQuestion = $("[data-question=" + (question) + "]");
        // Hiding current question and showing next question
        if (question == 1) {
        currentQuestion.addClass("show");
        }
        if (question != 1) {
        currentQuestion.addClass("hide");
        if (currentQuestion.hasClass('show')) {
        currentQuestion.removeClass("show").addClass("hide");
        }
        nextQuestion.addClass("show");
        }
        if (question === 1) {
        console.log("Question: " + question);
        }
        // If the question is not the first or last
        else if (question >= 2 && question <= allQuestions) {
        console.log("Question: " + question);
        var activeProgress = $("[data-line=" + (question - 1) + "] .progress");
        activeProgress.addClass("active");
        setTimeout(function () {
        $("[data-number=" + (question - 1) + "] .question-number").addClass(
        "number-focus");
        }, 400);
        $("[data-question=" + (question - 1) + "]").hide();
        $("[data-question=" + question + "]").show();
        }
        // If we've reached the last question, go to the next step
        else if (question > allQuestions) {
        stepMonitor = 7;
        validateStep_and_Continue();
        }
        question++;
        }
        var infoNumber = 1;
        // Function for Info progress bar
        function nextInfo() {
        $("[data-info-line=" + infoNumber + "] .progress").addClass("active");
        $(".info-count .progress").on('webkitAnimationEnd oanimationend msAnimationEnd animationend',
        function (event) {
        $("[data-info=" + infoNumber + "] .question-number").addClass("number-focus");
        });
        infoNumber++;
        }
        $('[name="mon"],[name="day"],[name="year"],[name="marital_status"],[name="body_type"],[name="race"],.stepM22 label,.stepM22 select,.stepM25 label,.stepM25 select,.stepM26 label,.stepM26 select')
        .wrap("<div class=cd></div>");
        $('.btn').on('touchstart', function () {
        $(this).addClass('tap');
        });
        $('.btn').on('touchend', function () {
        $(this).removeClass('tap');
        });
        // Shows hidden button
        function buttonShow() {
        setTimeout(function () {
        $("[data-step=" + (stepMonitor - 1) + "] .next, [data-step=" + (stepMonitor - 1) +
        "] .yes").addClass("button-show");
        }, 300);
        }
        }); // jQuery End
        // Scroll input box into view
        window.addEventListener("resize", function () {
        if (document.activeElement.tagName == "INPUT") {
        window.setTimeout(function () {
        document.activeElement.scrollIntoView();
        }, 0);
        }
        });
        function launchext() {
        $(".videobox").hide("fast");
        $("#firstWindow").hide("fast");
        $("#secondWindow").show();
        nextQuestionSecond(1);
        }
        var validator = $("#secondWindowForm").validate({
        errorClass: 'validation-error',
        validClass: 'success',
        errorElement: 'div',
        lang: 'de',
        rules: {
        email: {
        required: true,
        email: true
        },
        password: {
        required: true,
        },
        username: {
        required: true,
        },
        zipcode: {
        required: true,
        number: true,
        minlength: function(){
        var country = $('select[name="country"]').val();
        if (country && (country == 'CH' || country == 'AT')) {
        return 4;
        } else {
        return 5;
        }
        }
        },
        }
        });
        /* attach a submit handler to the form */
        $("#secondWindowForm").submit(function (event) {
        /* stop form from submitting normally */
        if (validator.valid()) {
        data = {
        "aid": aid,
        "cid": cid,
        "pid": pid,"lpid":window.location.href,
        "username": $("#username").val(),
        "email": $("#second-email").val(),
        "birth": "01.12.1959",
        "city": "Berlin",
        "zipcode": $("#zipcode").val(),
        "country": $("#country").val(),
        "password": $("#password").val(),
        "iam": $("#iam").val(),
        "isearch": $("#isearch").val(),
        };
        event.preventDefault();
        $.ajax({
        beforeSend: function () {
        $("#loadingIcon").show();
        },
        contentType: "application/json",
        type: "POST",
        dataType: "json",
        url: "https://main.fda-backend.de/api/auth/register_external",
        data: JSON.stringify(data),
        success: function (data, status) {
        $("#loadingIcon").hide();
        if (data.valid == 1) {
        window.location.replace(data.redirect_url);
        }
        $("#myAlert").append(
        "<div class='alert alert-success alert-dismissable' id='myAlert2'> <button type='button' class='close' data-dismiss='alert'  aria-hidden='true'>&times;</button> Success! message sent successfully.</div>"
        );
        },
        error: function (error, status) {
        $("#loadingIcon").hide();
        $("#myAlert").append(
        "<div class='alert alert-danger alert-dismissable' id='myAlert2'> <button type='button' class='close' data-dismiss='alert'  aria-hidden='true'>&times;</button> Error! " +
        error.responseJSON.message + ".</div>"
        );
        console.log('errorData', error, status);
        },
        });
        }
        });
        function nextQuestionSecond(questionSecond = 1) {
        if (questionSecond == 3 && !validator.element("#zipcode")) {
        return false;
        }
        if (questionSecond == 4 && !validator.element("#second-email")) {
        return false;
        }
        $("#secondWindow .step").addClass("show");
        // Putting the number of questions in a variable
        var allQuestions = $(".questions-content-second").length;
        // Putting current and next questions in variables
        var currentQuestion = $("[data-question-second=" + (questionSecond - 1) + "]");
        var nextQuestion = $("[data-question-second=" + (questionSecond) + "]");
        // Hiding current question and showing next question
        if (questionSecond == 1) {
        currentQuestion.addClass("show");
        }
        if (questionSecond != 1) {
        currentQuestion.addClass("hide");
        if (currentQuestion.hasClass('show')) {
        currentQuestion.removeClass("show").addClass("hide");
        }
        nextQuestion.addClass("show");
        }
        if (questionSecond === 1) {} else if (questionSecond >= 2 && questionSecond <= allQuestions) {
        var activeProgress = $("[data-line-second=" + (questionSecond - 1) + "] .progress");
        activeProgress.addClass("active");
        setTimeout(function () {
        $("[data-number-second=" + (questionSecond) + "] .question-number-second").addClass(
        "number-focus");
        }, 400);
        $("[data-question-second=" + (questionSecond - 1) + "]").hide();
        $("[data-question-second=" + questionSecond + "]").show();
        }
        }
        function previousQuestionSecond(questionSecond) {
        var currentQuestion = $("[data-question-second=" + (questionSecond) + "]");
        var previousQuestion = $("[data-question-second=" + (questionSecond - 1) + "]");
        currentQuestion.addClass("show");
        if (currentQuestion.hasClass('show')) {
        currentQuestion.removeClass("show").addClass("hide");
        }
        previousQuestion.addClass("show");
        var activeProgress = $("[data-line-second=" + (questionSecond - 1) + "] .progress");
        activeProgress.removeClass("active");
        $("[data-number-second=" + (questionSecond) + "] .question-number-second").removeClass(
        "number-focus");
        $("[data-question-second=" + (questionSecond - 1) + "]").hide();
        $("[data-question-second=" + questionSecond + "]").show();
        }
        </script>
        <script src="js/app.js"></script>
        <script src="js/redm.js"></script>
        
    </body>
</html>
